Bug 243156 - X hangs when loading on ATI Radeon XPress 1150 (Fedora 7 LiveCD)
X hangs when loading on ATI Radeon XPress 1150 (Fedora 7 LiveCD)
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
All Linux
low Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Depends On:
  Show dependency treegraph
Reported: 2007-06-07 12:17 EDT by David Anderson
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-07-18 13:14:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Anderson 2007-06-07 12:17:09 EDT
Description of problem:

Screen goes blank when X starts; no further activity. (Apparently hung).

Version-Release number of selected component (if applicable):

Fedora 7 Live CD (KDE).

How reproducible:

Every time.

Steps to Reproduce:
1. Boot from Fedora 7 Live CD (KDE). (Probably others too - haven't tried).
2. Watch bootup operation, right up to the moment it switches to X (after 
loading haldaemon and NetworkManager).

Actual results:

Hangs. Nothing appears on screen; CD light permanently on but nothing 
happenning; Ctrl-Alt-F1(etc) does nothing.

Expected results:

Boots X!

Additional info:

This is a Dell Inspiron 1501 with a 1280x800 display (ATI Radeon XPress 1150 
256Mb Hypermemory).

A gparted 0.3.4-7 LiveCD I tested successfully booted into X without problems.
Comment 1 Matěj Cepl 2007-06-08 18:37:40 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 David Anderson 2007-06-11 08:30:31 EDT
This is what happens when booting the Fedora 7 ** LiveCD **. I don't get any 
opportunity to do any configuration, or to remove /etc/X11/xorg.conf - the 
hang happens before I get any control.
Comment 3 Matěj Cepl 2007-06-13 12:25:54 EDT
Could you ssh from other computer to hanged one? If you could, there might be
log in  /tmp/ramfs/X.log. Could you post it?
Comment 4 David Anderson 2007-07-17 15:09:46 EDT
I now have Fedora 7 installed on this computer, and have no motivation to go 
back to debugging the LiveCD. You may as well close this bug.
Comment 5 Matěj Cepl 2007-07-18 13:14:15 EDT
Closing per reporter's request. Oh well, it's a pitty.

Note You need to log in before you can comment on or make changes to this bug.